#!/bin/sh
#
# Part of the THC Wardrive package by van Hauser / THC
# Configures your wvlan
# This needs the wireless-tools.rpm (e.g. from SuSE)
#
# wavelan device
DEVICE=eth0
# managed or ad-hoc - this is needed if the card supports no auto mode
MODE=managed
# the new hardware address
HWADDR=00:01:de:ad:be:ef
# the node name
NAME=deadbeef

#
# dont change stuff below
#
IWCFG=iwconfig
IWP=iwpriv
test -z "$DEV" && DEV="$DEVICE"
export DEV DEVICE

killall dhcpcd 2> /dev/null
killall dhclient 2> /dev/null
$IWCFG $DEV power off
$IWCFG $DEV rate auto
$IWCFG $DEV nickname "$NAME"
$IWCFG $DEV essid any
$IWCFG $DEV nwid off 2> /dev/null
$IWCFG $DEV mode auto 2> /dev/null || $IWCFG $DEV mode $MODE
$IWP $DEV roam on 2> /dev/null

ifconfig eth0 down
ifconfig eth0 hw ether "$HWADDR"
ifconfig eth0 0.0.0.0 up

test -x ./sniff_wvlan.sh && ./sniff_wvlan.sh
test -x ./sniff_wvlan.sh || {
    test -x /usr/local/bin/sniff_wvlan.sh && /usr/local/bin/sniff_wvlan.sh
    test -x /usr/local/bin/sniff_wvlan.sh || echo "Error: can not find sniff_wvlan.sh"
}
